Bug 490703 - Please verify HTTPS certificates when downloading repodata/packages
Please verify HTTPS certificates when downloading repodata/packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-sha2
  Show dependency treegraph
 
Reported: 2009-03-17 13:38 EDT by Miloslav Trmač
Modified: 2014-01-21 18:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 11:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2009-03-17 13:38:23 EDT
rawhide repodata uses HTTPS to download the metalink file, and later links to referenced repodata and packages contains their hashes, which protects against replacing any of the files.

Please add certificate verification to the HTTPS downloads (at least to the metalink download) to close the last opportunity for MITM attacks.  (python-urlgrabber 3.1.0 seems to support certificate verification, you can use the system-wide certificate bundle in  /etc/pki/tls/certs/ca-bundle.crt ).
Comment 1 Bug Zapper 2009-06-09 08:19:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 seth vidal 2009-09-03 11:30:35 EDT
urlgrabber in rawhide/f12 does this properly and by default.

Note You need to log in before you can comment on or make changes to this bug.